import '../../../../food_delivery_client.dart';

class WSeeAllRaw extends StatelessWidget {
  const WSeeAllRaw({super.key, required this.title, required this.onPressed});

  final String title;
  final VoidCallback onPressed;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Expanded(child: Text(title, style: AppTextStyles.size24Bold)),
        TextButton(
          onPressed: onPressed,
          child: Text("see all", style: AppTextStyles.size16Medium),
        ),
      ],
    ).paddingOnly(left: 15, right: 8);
  }
}
